ArduVidRx Firmware
------------------

ArduVidRx is an open-source project that aims to create enhanced FPV
video receivers that can be remotely operated, using an Android app or a
CLI command set.  The firmware may be built using the Arduino IDE or the
[Eclipse C++ IDE for
Arduino](https://marketplace.eclipse.org/content/eclipse-c-ide-arduino).
 
 **ArduVidRx Features:**

-   Receiver can be tuned to any frequency value in MHz
-   Auto-tune function (tune to strongest signal)
-   Graphical band scanner (in Android controller app)
-   Monitor (spectator) mode with manual and automatic channel switching
-   Can set list of frequencies of interest
-   Automatic RSSI calibration
-   Receiver can be remotely controlled with Android app (via Bluetooth)
-   Receiver can operated with command-line interface (via serial/USB)
-   Enhanced (7-segment) display and button functionality (on RC832
    receiver)

**Hardware Options:**

-   [RC832 video receiver](http://www.banggood.com/Eachine-FPV-5_8G-32CH-Wireless-AV-Receiver-RC832-p-975426.html) + [Arduino Pro Mini 328 (5V
    16MHz)](https://www.sparkfun.com/products/11113) + [HC-06 Bluetooth module](http://www.ebay.com/itm/111881989869)
-   [Realacc RX5808 Pro Diversity](http://www.banggood.com/Realacc-RX5808-Open-Source-5_8G-40CH-Split-Receiver-with-OLED-Special-for-Fatshark-Goggles-p-1068207.html) + [SparkFun Bluetooth Mate Silver
    WRL-12576](https://www.sparkfun.com/products/12576)
-   [Arduino Pro Mini 328 (5V 16MHz)](http://www.ebay.com/itm/171970464859) + [RX5808 module](http://www.ebay.com/itm/112146512841) + [HC-06 Bluetooth
    module](http://www.ebay.com/itm/111881989869)


This project makes use of code from the [rx5808-pro-diversity
project](https://github.com/sheaivey/rx5808-pro-diversity).
 
Check out the ArduVidRx home page: 
[http://www.etheli.com/ArduVidRx](http://www.etheli.com/ArduVidRx)
 

* * * * *


Click [here to contact me](http://www.etheli.com/contact/index.html)
 
[etheli.com home page](http://www.etheli.com)